# Uses of Enum Class
org.bukkit.entity.Panda.Gene

Packages that use Panda.Gene
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Panda.Gene in org.bukkit.entity

Methods in org.bukkit.entity that return Panda.Gene
Modifier and Type
Method
Description
`@NotNull Panda.Gene`
Panda.`getHiddenGene()`
Gets this Panda's hidden gene.
`@NotNull Panda.Gene`
Panda.`getMainGene()`
Gets this Panda's main gene.
`static Panda.Gene`
Panda.Gene.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Panda.Gene[]`
Panda.Gene.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.entity with parameters of type Panda.Gene
Modifier and Type
Method
Description
`void`
Panda.`setHiddenGene(@NotNull Panda.Gene gene)`
Sets this Panda's hidden gene.
`void`
Panda.`setMainGene(@NotNull Panda.Gene gene)`
Sets this Panda's main gene.